Bug 590290 - Segmentation fault in /usr/bin/Xorg
Segmentation fault in /usr/bin/Xorg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-08 12:51 EDT by Matthew Galgoci
Modified: 2010-12-03 09:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:55:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log from crash (52.82 KB, text/plain)
2010-05-08 12:52 EDT, Matthew Galgoci
no flags Details
the log of crash (86.01 KB, text/plain)
2010-08-09 20:14 EDT, Den V. Tsopa
no flags Details

  None (edit)
Description Matthew Galgoci 2010-05-08 12:51:45 EDT
Description of problem:

My X session crashes at seemingly random intervals. The Xorg.log shows that a segmentation fault happened in /usr/bin/Xorg

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.7.6-3.fc12.i686

Also, my driver is the intel driver:

xorg-x11-drv-intel-2.9.1-1.fc12.i686

How reproducible:

It happens very randomly. Sometimes once a day, sometimes not at all, sometimes every few minutes.

Steps to Reproduce:
1. Run X
2. Wait for it to crash
3.
  
Actual results:

X crashes randomly

Expected results:

Xorg should not crash.

Additional info:

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e5dbc]
1: /usr/bin/Xorg (0x8048000+0x5ef66) [0x80a6f66]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0x15e40c]
3: /usr/bin/Xorg (VidModeGetFirstModeline+0x73) [0x8173f03]
4: /usr/bin/Xorg (VidModeGetNumOfModes+0x3f) [0x8173f9f]
5: /usr/lib/xorg/modules/extensions/libextmod.so (0xeb2000+0x6fe1) [0xeb8fe1]
6: /usr/bin/Xorg (0x8048000+0x26437) [0x806e437]
7: /usr/bin/Xorg (0x8048000+0x1aa6a) [0x8062a6a]
8: /lib/libc.so.6 (__libc_start_main+0xe6) [0x4efbb6]
9: /usr/bin/Xorg (0x8048000+0x1a661) [0x8062661]
Segmentation fault at address 0x4

Full Xorg.log is attached.
Comment 1 Matthew Galgoci 2010-05-08 12:52:25 EDT
Created attachment 412550 [details]
Xorg.log from crash
Comment 2 Den V. Tsopa 2010-08-09 20:13:35 EDT
The same for me (full log attached, too):

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e5dbc]
1: /usr/bin/Xorg (0x8047000+0x5ff66) [0x80a6f66]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0x4ee40c]
3: /lib/libc.so.6 (memcpy+0x46) [0x2a55f6]
4: /lib/libc.so.6 (memcpy+0xb5e110d0) [0xb60b6680]
5: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x51d000+0xa11fd) [0x5be1fd]
6: /usr/lib/xorg/modules/libexa.so (0x4cc000+0x7851) [0x4d3851]
7: /usr/bin/Xorg (0x8047000+0x15e8e0) [0x81a58e0]
8: /usr/bin/Xorg (0x8047000+0xaf9cd) [0x80f69cd]
9: /usr/bin/Xorg (0x8047000+0xb0b47) [0x80f7b47]
10: /usr/bin/Xorg (0x8047000+0x27437) [0x806e437]
11: /usr/bin/Xorg (0x8047000+0x1ba6a) [0x8062a6a]
12: /lib/libc.so.6 (__libc_start_main+0xe6) [0x243bb6]
13: /usr/bin/Xorg (0x8047000+0x1b661) [0x8062661]
Segmentation fault at address 0xb60b7000
        
Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting
Comment 3 Den V. Tsopa 2010-08-09 20:14:47 EDT
Created attachment 437732 [details]
the log of crash
Comment 4 Bug Zapper 2010-11-03 11:18:41 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 09:55:18 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.